import React from 'react';
import Info from '../../components/info';
import { addVisualization } from '../../data-access/store/visualizationSlice';
import { useAppDispatch } from '../../data-access';
import { Visualizations } from '../components/VisualizationPanel';

export function Recommender() {
  const dispatch = useAppDispatch();

  return (
    <div className="p-4">
      <span className="text-md">Select a visualization</span>
      <div className="grid grid-cols-3 gap-4">
        {Object.keys(Visualizations).map((name) => (
          <div
            key={name}
            className="p-4 cursor-pointer border hover:bg-secondary-100"
            onClick={async (e) => {
              e.preventDefault();
              const component = await Visualizations[name]();
              dispatch(addVisualization({ ...component.default.settings, name: name, id: name }));
            }}
          >
            <div className="flex items-center justify-between">
              <span className="text-sm font-semibold">{name}</span>
              <Info tooltip="Here an explanation" side="top" />
            </div>
            {/* <image src={image} /> */}
          </div>
        ))}
      </div>
    </div>
  );
}
